import 'package:vitalapp/managers/interfaces/base.dart';

abstract class IApplicationManager implements IManager {
  /// 获取属性集合
  Future<Map<String, dynamic>> getProperties();

  /// 获取指定属性
  Future<dynamic> getProperty(String key);

  /// 设置属性
  Future<void> setProperty(String key, dynamic value);

  /// 设置多属性
  Future<void> setProperties(Map<String, dynamic> data);
}
